[Bug 256062] [NEW PORT] editors/linux-sublime-text (recently released v4): sophisticated text editor for code, markup and prose

From: <bugzilla-noreply_at_freebsd.org>
Date: Sun, 30 May 2021 15:01:48 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256062

--- Comment #2 from Matías Pizarro <matias_at_pizarro.net> ---
editors/linux-sublime-text: v4 (and ongoing) of the renowned sophisticated text
editor for code, markup and prose.

This is the initial shar file.

The port:
 * installs icons
 * installs desktop entry
 * requires Linuxulator
 * installs license

This supersedes editors/linux-sublime and editors/linux-sublime3 as Sublime
Text is now licensed in a version-agnostic fashion and does not require a
major-version specific port.
Ports for versions 2 and 3 should still be kept to cater for users who hold
legacy licenses.
Name has been changed to linux-sublime-text to differentiate it from
linux-sublime-merge (see
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=256061).

Sublime Text may be downloaded and evaluated for free, however a license must
be purchased for continued use.

passes QA
  - portlint: OK (looks fine.)
  - testport: OK (poudriere: 130amd64)
  - portclippy: OK (all green)
  - portfmt -D: OK (no warning)

(this comment obsoletes all previous comments)

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Sun May 30 2021 - 15:01:48 UTC

Original text of this message